### Hierarchy

- EventProcessor

## Index

### Constructors

- constructor

### Properties

- currentCombo
- lastEvent

### Methods

- cleanCombo
- matchesComboAction
- printDebugActionFound
- printDebugKeyPressed
- processActionCombos
- processEvent
- reset

## Constructors

### constructor

- new EventProcessor(): EventProcessor

- - Defined in event-processor.ts:7

  #### Returns EventProcessor

## Properties

### currentCombo

currentCombo: KeyCombo

- Defined in event-processor.ts:6

### lastEvent

lastEvent: KeyboardEvent

- Defined in event-processor.ts:7

## Methods

### cleanCombo

- cleanCombo(debug: any): void

- - Defined in event-processor.ts:32

  #### Parameters

  - ##### debug: any

  #### Returns void

### matchesComboAction

- matchesComboAction(action: Action): boolean

- - Defined in event-processor.ts:62

  Checks whether the que matches a particular action

  #### Parameters

  - ##### action: Action

  #### Returns boolean

### printDebugActionFound

- printDebugActionFound(action: Action): void

- - Defined in event-processor.ts:76

  #### Parameters

  - ##### action: Action

  #### Returns void

### printDebugKeyPressed

- printDebugKeyPressed(ev: KeyboardEvent): void

- - Defined in event-processor.ts:66

  #### Parameters

  - ##### ev: KeyboardEvent

  #### Returns void

### processActionCombos

- processActionCombos(ev: KeyboardEvent, actions: Map<string, Action>, debug: boolean): boolean

- - Defined in event-processor.ts:43

  Search for the right action, given a keyCombo, and execute its callbacks

  #### Parameters

  - ##### ev: KeyboardEvent

  - ##### actions: Map<string, Action>

  - ##### debug: boolean

  #### Returns boolean

### processEvent

- processEvent(ev: KeyboardEvent, actions: Map<string, Action>, debug: boolean): boolean

- - Defined in event-processor.ts:17

  #### Parameters

  - ##### ev: KeyboardEvent

  - ##### actions: Map<string, Action>

  - ##### debug: boolean

  #### Returns boolean

### reset

- reset(): void

- - Defined in event-processor.ts:13

  #### Returns void

Generated using TypeDoc